crashpad::DebugRendezvous::LinkEntry Struct Reference

An entry in the dynamic linker's list of loaded objects. More...

`#include "snapshot/linux/debug_rendezvous.h"`

## Public Attributes

std::string | name
| A filename identifying the object.
LinuxVMOffset | load_bias
| The difference between the preferred load address in the ELF file and the actual loaded address in memory.
LinuxVMAddress | dynamic_array
| The address of the dynamic array for this object.

## Detailed Description

An entry in the dynamic linker's list of loaded objects.

All of these values should be checked before use. Whether and how they are populated may vary by dynamic linker.

The documentation for this struct was generated from the following files:

- snapshot/linux/debug_rendezvous.h
- snapshot/linux/debug_rendezvous.cc